## lua-doc 3.0

=== Makefile ===
# $Id: Makefile,v 1.3 2007/04/14 04:20:42 tomas Exp $

LUA_DIR= /usr/local/share/lua/5.1
LUADOC_DIR= $(LUA_DIR)/luadoc
DOCLET_DIR= $(LUADOC_DIR)/doclet
HTML_DIR= $(DOCLET_DIR)/html
TAGLET_DIR= $(LUADOC_DIR)/taglet
STANDARD_DIR= $(TAGLET_DIR)/standard
LAUNCHER_DIR= /usr/local/bin
LUADOC_REFMAN= doc/refman

LUADOC_LUAS= src/luadoc/config.lua \
	src/luadoc/init.lua \
	src/luadoc/lp.lua \
	src/luadoc/util.lua
DOCLET_LUAS= src/luadoc/doclet/debug.lua \
	src/luadoc/doclet/formatter.lua \
	src/luadoc/doclet/html.lua \
	src/luadoc/doclet/raw.lua
HTML_LUAS= src/luadoc/doclet/html/file.lp \
	src/luadoc/doclet/html/function.lp \
	src/luadoc/doclet/html/index.lp \
	src/luadoc/doclet/html/luadoc.css \
	src/luadoc/doclet/html/menu.lp \
	src/luadoc/doclet/html/module.lp \
	src/luadoc/doclet/html/table.lp
TAGLET_LUAS= src/luadoc/taglet/standard.lua
STANDARD_LUAS= src/luadoc/taglet/standard/tags.lua

LAUNCHER= $(LAUNCHER_DIR)/luadoc
LAUNCHER_SRC= src/luadoc.lua


build clean:

install:
	mkdir -p $(LUADOC_DIR)
	cp $(LUADOC_LUAS) $(LUADOC_DIR)
	mkdir -p $(DOCLET_DIR)
	cp $(DOCLET_LUAS) $(DOCLET_DIR)
	mkdir -p $(HTML_DIR)
	cp $(HTML_LUAS) $(HTML_DIR)
	mkdir -p $(TAGLET_DIR)
	cp $(TAGLET_LUAS) $(TAGLET_DIR)
	mkdir -p $(STANDARD_DIR)
	cp $(STANDARD_LUAS) $(STANDARD_DIR)
	mkdir -p $(LAUNCHER_DIR)
	cp $(LAUNCHER_SRC) $(LAUNCHER)
	chmod a+x $(LAUNCHER)

refman:
	mkdir -p $(LUADOC_REFMAN)
	$(LAUNCHER) -d $(LUADOC_REFMAN) src/luadoc

## lua-doc 3.0.1

=== debian/changelog ===
lua-doc (3.0.1-3) unstable; urgency=low

  * source format 3.0 (quilt)
  * bumped standards-version to 3.9.2, no changes 

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 22 Jul 2011 12:28:23 +0200

lua-doc (3.0.1-2) unstable; urgency=low

  * bumped standards-version to 3.8.2, no changes
  * build-depend on lua5.1-policy-dev >= 22

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 21 Jul 2009 16:56:16 +0200

lua-doc (3.0.1-1) unstable; urgency=low

  * New upstream release
  * Bumped standards-version to 3.7.3, no changes needed 

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 18 Mar 2008 11:04:08 +0100

lua-doc (3.0-5) unstable; urgency=low

  * fixed watch file (Closes: #450141)

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 14 Sep 2007 14:08:20 +0100

lua-doc (3.0-4) unstable; urgency=low

  * added dependency among lua5.1-policy-dev >= 14 to fix accidental deletion
    of .install file (Closes: #441718)
  * this version of the package is sutable for testing since all dependencies
    are correct (Closes: #439011)

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 04 Sep 2007 09:41:29 +0100

lua-doc (3.0-3) unstable; urgency=low

  * added dependency over liblua5.1-logging

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 04 Sep 2007 09:35:08 +0100

lua-doc (3.0-1) unstable; urgency=low

  * New upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 31 Jul 2007 18:30:36 +0200

lua-doc (3.0~cvs20070731-3) unstable; urgency=low

  * Initial release. (Closes: #435423)

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 31 Jul 2007 15:08:42 +0200

=== debian/control ===
Source: lua-doc
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5), quilt (>= 0.40), lua5.1-policy-dev (>= 32)
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-doc
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-doc
Homepage: http://luadoc.luaforge.net

Package: liblua5.1-doc0
Architecture: all
Depends: ${shlibs:Depends}, liblua5.1-filesystem0, liblua5.1-logging
Description: Documentation generation library for the Lua language version 5.1
 LuaDoc is a documentation generator tool for Lua source code.
 It parses the declarations and documentation comments in a
 set of Lua source files and produces a set of XHTML pages describing the
 commented declarations and functions.
 .
 This package contains the luadoc library for Lua 5.1. For the command line
 utility, install the luadoc package.

Package: luadoc
Architecture: all
Depends: liblua5.1-doc0 (= ${source:Version}), lua5.1
Description: Documentation generator for lua
 LuaDoc is a documentation generator tool for Lua source code.
 It parses the declarations and documentation comments in a
 set of Lua source files and produces a set of XHTML pages describing the
 commented declarations and functions.
 .
 The output is not limited to XHTML. Other formats can be generated by
 implementing new doclets. The format of the documentation comments
 is also flexible and can be customized by implementing new
 taglets.
 .
 This package also contains the documentation for luadoc, describing the
 supported syntax and how to customize the tool input (taglets) and output
 (doclets).

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua-doc
#
version=3
http://luaforge.net/frs/?group_id=18  /frs/download.php/\d+/luadoc-([\d\.]*).tar.gz

## lua-doc 3.0.1+gitdb9e868

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,14 @@
-# $Id: Makefile,v 1.3 2007/04/14 04:20:42 tomas Exp $
+# $Id: Makefile,v 1.4 2008/02/17 06:42:51 jasonsantos Exp $
 
-LUA_DIR= /usr/local/share/lua/5.1
+CONFIG= ./config
+
+include $(CONFIG)
+
 LUADOC_DIR= $(LUA_DIR)/luadoc
 DOCLET_DIR= $(LUADOC_DIR)/doclet
 HTML_DIR= $(DOCLET_DIR)/html
 TAGLET_DIR= $(LUADOC_DIR)/taglet
 STANDARD_DIR= $(TAGLET_DIR)/standard
-LAUNCHER_DIR= /usr/local/bin
 LUADOC_REFMAN= doc/refman
 
 LUADOC_LUAS= src/luadoc/config.lua \
@@ -27,8 +29,8 @@
 TAGLET_LUAS= src/luadoc/taglet/standard.lua
 STANDARD_LUAS= src/luadoc/taglet/standard/tags.lua
 
-LAUNCHER= $(LAUNCHER_DIR)/luadoc
-LAUNCHER_SRC= src/luadoc.lua
+LAUNCHER= $(SYS_BINDIR)/luadoc
+LAUNCHER_SRC= src/luadoc.lua.in
 
 
 build clean:
@@ -44,7 +46,7 @@
 	cp $(TAGLET_LUAS) $(TAGLET_DIR)
 	mkdir -p $(STANDARD_DIR)
 	cp $(STANDARD_LUAS) $(STANDARD_DIR)
-	mkdir -p $(LAUNCHER_DIR)
+	mkdir -p $(SYS_BINDIR)
 	cp $(LAUNCHER_SRC) $(LAUNCHER)
 	chmod a+x $(LAUNCHER)

=== debian/changelog ===
lua-doc (3.0.1+gitdb9e868-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 04 Jan 2021 16:07:56 +0100

lua-doc (3.0.1+gitdb9e868-1) unstable; urgency=low

  * New upstream snapshot 
  * Packaging moved to git
  * Transitional packages removed 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 06 May 2012 15:46:13 +0200

lua-doc (3.0.1-5) unstable; urgency=low

  * Dependencies/Conflicts fixed (Closes: #671681) 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 06 May 2012 15:42:01 +0200

lua-doc (3.0.1-4) unstable; urgency=low

  * Switch to dh-lua
  * Packages renamed according to the new Lua policy
  * debian/compat set to 8
  * Update watch file 
  * Bumped standards-version to 3.9.3, no changes

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 02 May 2012 17:05:12 +0200

=== debian/control ===
Source: lua-doc
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: debhelper (>= 8), dh-lua
Standards-Version: 3.9.3
Homepage: http://luadoc.luaforge.net
Vcs-Git: git://git.debian.org/git/pkg-lua/lua-leg.git
Vcs-Browser: http://git.debian.org/?p=pkg-lua/lua-leg.git

Package: luadoc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, lua-doc (= ${source:Version}), lua5.1
Description: Documentation generation library for the Lua language
 LuaDoc is a documentation generator tool for Lua source code.
 It parses the declarations and documentation comments in a
 set of Lua source files and produces a set of XHTML pages describing the
 commented declarations and functions.
 .
 This package contains the luadoc library for Lua. For the command line
 utility, install the luadoc package.

Package: lua-doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, lua-filesystem, lua-logging
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: Documentation generator for lua
 LuaDoc is a documentation generator tool for Lua source code.
 It parses the declarations and documentation comments in a
 set of Lua source files and produces a set of XHTML pages describing the
 commented declarations and functions.
 .
 The output is not limited to XHTML. Other formats can be generated by
 implementing new doclets. The format of the documentation comments
 is also flexible and can be customized by implementing new
 taglets.
 .
 This package also contains the documentation for luadoc, describing the
 supported syntax and how to customize the tool input (taglets) and output
 (doclets).

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=lua --with lua

override_dh_auto_install:
	mkdir -p debian/tmp/usr/bin/
	cp src/luadoc.lua.in debian/tmp/usr/bin/luadoc
	dh_auto_install

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua-doc
#
version=3
https://github.com/keplerproject/luadoc/downloads .*/luadoc-([\d\.]+).tar.gz

## lua-doc 3.0.1+gitz20160106.51577bf

=== debian/changelog ===
lua-doc (3.0.1+gitz20160106.51577bf-1) unstable; urgency=medium

  * QA upload.
  + Fix Homepage
  * Vcs-Fields
     - Fix package name
     - Point to Salsa
  * Tweak watch file and version to get latest upstream commit (which needs
    to sort higher than the last release - thus '+gitz')
  * Avoid potential privacy breaks
  * Fix description
    Closes: #740205
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * debputy lint --auto-fix (routine-update)
  * Add debian/upstream/metadata

 -- Andreas Tille <tille@debian.org>  Sun, 24 Aug 2025 14:46:51 +0200

lua-doc (3.0.1+gitdb9e868-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #995509)

 -- Marcos Talau <talau@debian.org>  Tue, 15 Nov 2022 07:23:22 -0300

=== debian/control ===
Source: lua-doc
Section: interpreters
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), dh-lua
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/lua-team/lua-doc
Vcs-Git: https://salsa.debian.org/lua-team/lua-doc.git
Homepage: https://github.com/keplerproject/luadoc

Package: luadoc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, lua-doc (= ${source:Version}), lua5.1
Description: Documentation generator for the Lua language
 LuaDoc is a documentation generator tool for Lua source code.
 It parses the declarations and documentation comments in a
 set of Lua source files and produces a set of XHTML pages describing the
 commented declarations and functions.
 .
 This package contains the luadoc library and the command line utility.

Package: lua-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, lua-filesystem, lua-logging
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: Documentation for the doc generator for lua
 LuaDoc is a documentation generator tool for Lua source code.
 It parses the declarations and documentation comments in a
 set of Lua source files and produces a set of XHTML pages describing the
 commented declarations and functions.
 .
 The output is not limited to XHTML. Other formats can be generated by
 implementing new doclets. The format of the documentation comments
 is also flexible and can be customized by implementing new
 taglets.
 .
 This package also contains the documentation for luadoc, describing the
 supported syntax and how to customize the tool input (taglets) and output
 (doclets).

=== debian/watch ===
version=4
 
opts="mode=git,pretty=3.0.1+gitz%cd.%h" \
    https://github.com/keplerproject/luadoc.git HEAD
